Subject: draft-ietf-disman-script-mib-07.txt (diff)

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 27 Jan 1999 18:34:09 +0100

I just submitted another revision of the Script MIB to the ID
repository. The new ID clarifies the handling of non-volatile
scripts. It also clarifies when scripts are downloaded. There are
also two minor clarifications that were left over from our MIB
review. (I simply forgot to put them into the last version.)

Below is the context diff of my nroff sources against
draft-ietf-disman-script-mib-06.txt.
							Juergen

Index: sm.me
===================================================================
RCS file: /usr/home/schoenw/CVS/ietf/disman/src/sm.me,v
retrieving revision 1.6
diff -u -r1.6 sm.me
--- sm.me	1998/11/19 15:45:02	1.6
+++ sm.me	1999/01/27 16:54:36
@@ -11,7 +11,7 @@
 .pl 10.0i
 .nr sf R
 .nr fm 0 \}
-.he 'Internet-Draft'Script MIB'November 1998'
+.he 'Internet-Draft'Script MIB'January 1999'
 .fo 'Levi & Schoenwaelder''[Page %ENDPAGE'
 .hy 0
 .de $0
@@ -25,16 +25,16 @@
 
 Network Working Group                                         David Levi
 Internet-Draft                                       SNMP Research, Inc.
-Expires May 1999                                   Juergen Schoenwaelder
+Expires July 1999                                  Juergen Schoenwaelder
                                                          TU Braunschweig
-                                                        18 November 1998
+                                                         27 January 1999
 .sp 1
 .ce 2
 Definitions of Managed Objects for the
 Delegation of Management Scripts
 .sp 1
 .ce
-<draft-ietf-disman-script-mib-06.txt>
+<draft-ietf-disman-script-mib-07.txt>
 
 .ti 0
 Status of this Memo
@@ -62,7 +62,7 @@
 .ti 0
 Copyright Notice
 .PP
-Copyright (C) The Internet Society (1998).  All Rights Reserved.
+Copyright (C) The Internet Society (1999).  All Rights Reserved.
 .PP
 .ti 0
 Abstract
@@ -217,9 +217,7 @@
 additional language features provided by an implementor. An additional
 object identifier value is provided which identifies the organization
 which provides the implementation of a language. This might be used by
-scripts that require a particular implementation of a language. The
-object identifier value is one of the arcs below the enterprise
-object identifier {1 3 6 1 4 1}.
+scripts that require a particular implementation of a language.
 .ip "   4." 8
 Finally, there might be different versions of a language
 implementation. A version number for the language implementation is
@@ -483,7 +481,7 @@
 	FROM SNMP-FRAMEWORK-MIB;
 
 scriptMIB MODULE-IDENTITY
-    LAST-UPDATED "9811171800Z"
+    LAST-UPDATED "9901271800Z"
     ORGANIZATION "IETF Distributed Management Working Group"
     CONTACT-INFO
 	"David B. Levi
@@ -814,37 +812,21 @@
 	 defined in RFC 2396. The allowed character sets and the
 	 encoding rules defined in RFC 2396 section 2 apply.
 
-	 The Script MIB implementation will `pull' the script
+	 When the smScriptAdminStatus object is set to `enabled',
+	 the Script MIB implementation will `pull' the script
 	 source from the URL contained in this object if the URL
 	 is not empty.
 
 	 An empty URL indicates that the script source is loaded
-	 from local storage. The source is read from the smCodeTable
+	 from local storage. The script is read from the smCodeTable
 	 if the value of smScriptStorageType is volatile. Otherwise,
-	 the source is read from non-volatile storage.
+	 the script is read from non-volatile storage.
 
 	 Note: This document does not mandate implementation of any
 	 specific URL scheme. A attempt to load a script from a
 	 nonsupported URL scheme will cause the smScriptOperStatus 
 	 to report an `unknownProtocol' error.
 
-	 The following changes to smScriptSource require special
-	 attention:
-
-	 - Empty value changes to empty value:
-	       This has no effect.
-	 - Empty value changes to non-empty value:
-	       This destroys the local script (possibly deleting it
-	       from non-volatile storage), and initiates a download
-	       of the script source the specified location.
-	 - Non-empty value changes to empty value:
-	       If the smScriptStorageType is non-volatile, the
-               currently loaded script is written to non-volatile
-	       storage. Otherwise, no effect.
-	 - Non-empty value changes to non-empty value:
-	       This initiates a download of the script from the
-	       specified location.
-
 	 Set requests to change this object are invalid if the
 	 value of smScriptOperStatus is `enabled', `editing',
 	 `retrieving' or `compiling' and will result in an
@@ -863,7 +845,13 @@
     DESCRIPTION
 	"The value of this object indicates the desired status of 
 	 the script. See the definition of smScriptOperStatus for
-	 a description of the values."
+	 a description of the values.
+
+	 When the smScriptAdminStatus object is set to `enabled' and
+	 the smScriptOperStatus is `disabled' or one of the error
+	 states, the Script MIB implementation will `pull' the script
+         source from the URL contained in the smScriptSource object
+	 if the URL is not empty."
     DEFVAL { disabled }
     ::= { smScriptEntry 6 }
 
@@ -958,16 +946,21 @@
 	 lost upon reboot or if this row is backed up by
 	 non-volatile or permanent storage.
 
-	 Setting this object to `nonVolatile' stores the script
-	 controlled by this row into non-volatile storage. Setting
-	 this object to volatile removes a script from non-volatile
-	 storage if the script has been in non-volatile storage
-	 before. Attempts to set this object to permanent will
-	 always fail with an inconsistentValue error.
-
-	 The agent has to make sure that scripts controlled by a
-	 row where smScriptStorageType is `nonVolatile' or permanent
-	 are loaded at agent startup time.
+	 The script controlled by this row is written into local
+	 non-volatile storage if the following condition becomes
+	 true: 
+
+	 (a) the URL contained in the smScriptSource object is empty
+	     and
+	 (b) the smScriptStorageType is `nonVolatile'
+	     and
+	 (c) the smScriptOperStatus is `enabled'
+
+	 Setting this object to `volatile' removes a script from
+	 non-volatile storage if the script controlled by this row
+	 has been in non-volatile storage before. Attempts to set
+	 this object to permanent will always fail with an
+	 inconsistentValue error.
 
          The value of smScriptStorageType is only meaningful if the
          value of the corresponding RowStatus object is `active'.
@@ -992,9 +985,9 @@
 	 The value of smScriptOperStatus will be reset to `disabled'.
 
 	 Deleting conceptual rows from this table includes the
-	 deletion of all resources associated with this row.
-	 This implies that a script is removed from non-volatile
-	 storage if the value of smScriptStorageType is non-volatile.
+	 deletion of all resources associated with this row. This
+	 implies that a script stored in non-volatile storage is
+	 removed from non-volatile storage.
 
          An entry may not exist in the `active' state unless all
          required objects in the entry have appropriate values. Rows
@@ -1123,12 +1116,12 @@
     MAX-ACCESS  not-accessible
     STATUS      current
     DESCRIPTION
-        "The manager who owns this row in the smLaunchTable. Every
-	 script started from a particular entry in the smLaunchTable
-	 will also be owned by the same smLaunchOwner used to index
-	 the smLaunchTable entry. However, the owner of an entry in
-	 the smLaunchTable is not necessarily the same as the owner
-	 of the script to be launched. "
+	"The manager who owns this row in the smLaunchTable. Every
+	 instance of a running script started from a particular entry
+	 in the smLaunchTable (i.e. entries in the smRunTable) will be
+	 owned by the same smLaunchOwner used to index the entry in
+	 the smLaunchTable. This owner is not necessarily the same as
+	 the owner of the script itself (smLaunchScriptOwner)."
     ::= { smLaunchEntry 1 }
 
 smLaunchName OBJECT-TYPE
@@ -1155,7 +1148,7 @@
 	"The value of this object in combination with the value of
 	 smLaunchScriptName identifies the script that can be
 	 launched from this smLaunchTable entry. Attempts to write
-	 this objects will fail with an inconsistentValue error if
+	 this object will fail with an inconsistentValue error if
 	 the value of smLaunchOperStatus is `enabled'."
     ::= { smLaunchEntry 3 }
 
@@ -1268,8 +1261,8 @@
 	 special value 0 is however useful for scheduled script
 	 invocations.
 
-	 Setting this object requires to perform the following
-	 checks:
+	 If this object is set, the following checks must be
+	 performed:
 
 	 1) The value of the smLaunchOperStatus object in this
 	    entry of the smLaunchTable must be `enabled'.
@@ -1337,8 +1330,8 @@
 	 rows which were created from this entry in the smLaunchTable
 	 and whose value of smRunState allows the corresponding
 	 state change as described in the definition of the
-	 smRunControl object. Setting this object to nop(4) will
-	 always succeed and has no effect."
+	 smRunControl object. Setting this object to nop(4) has no
+	 effect."
     DEFVAL { nop }
     ::= { smLaunchEntry 11 }
 
@@ -2321,7 +2314,7 @@
 	FROM SNMPv2-SMI;
 
 ianaLanguages MODULE-IDENTITY
-    LAST-UPDATED "9811171800Z"
+    LAST-UPDATED "9901271800Z"
     ORGANIZATION "IANA"
     CONTACT-INFO
 	"Internet Assigned Numbers Authority (IANA)